Package org.eclipse.emf.cdo.compare

## Class CDOComparisonScope

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.scope.AbstractComparisonScope
    - - org.eclipse.emf.cdo.compare.CDOComparisonScope

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`, `org.eclipse.emf.compare.scope.IComparisonScope`, `org.eclipse.emf.compare.scope.IComparisonScope2`, `org.eclipse.emf.compare.utils.IDiagnosable`
  Direct Known Subclasses:
    `CDOComparisonScope.AllContents`, `CDOComparisonScope.Minimal`

      public abstract class CDOComparisonScope
      extends org.eclipse.emf.compare.scope.AbstractComparisonScope

  A CDO-specific base implementation of a `comparison scope`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOComparisonScope.AllContents` | Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
    `static class` | `CDOComparisonScope.Minimal` | Takes a `view`/`transaction` and returns `matches` only for the changed elements of the entire content tree of its `root resource`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

      `allInvolvedResourceURIs, diagnostic, left, nsURIs, origin, resourceURIs, right`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOComparisonScope​(org.eclipse.emf.common.notify.Notifier left, org.eclipse.emf.common.notify.Notifier right, org.eclipse.emf.common.notify.Notifier origin)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Iterator<? extends org.eclipse.emf.ecore.EObject>` | `getCoveredEObjects​(org.eclipse.emf.ecore.resource.Resource resource)` |
    `java.util.Iterator<? extends org.eclipse.emf.ecore.resource.Resource>` | `getCoveredResources​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` |
    `boolean` | `isResolveProxies()` |
    `void` | `setResolveProxies​(boolean resolveProxies)` |

    - ### Methods inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

      `getAllInvolvedResourceURIs, getDiagnostic, getLeft, getNsURIs, getOrigin, getResourceURIs, getRight, isAdapterForType, setDiagnostic`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, notifyChanged, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.compare.scope.IComparisonScope

      `getChildren`

- - ### Constructor Detail

    - #### CDOComparisonScope

          public CDOComparisonScope​(org.eclipse.emf.common.notify.Notifier left,
                                    org.eclipse.emf.common.notify.Notifier right,
                                    org.eclipse.emf.common.notify.Notifier origin)

  - ### Method Detail

    - #### getCoveredResources

          public java.util.Iterator<? extends org.eclipse.emf.ecore.resource.Resource> getCoveredResources​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

    - #### getCoveredEObjects

          public java.util.Iterator<? extends org.eclipse.emf.ecore.EObject> getCoveredEObjects​(org.eclipse.emf.ecore.resource.Resource resource)

    - #### isResolveProxies

          public final boolean isResolveProxies()

    - #### setResolveProxies

          public final void setResolveProxies​(boolean resolveProxies)